# t-tests on trustworthiness ratings from exps 2a and 2b
require(ggplot2)

data <- readRDS(file = here('clean_data', 'exp2ab.rds'))

# Compare trust v untrust means
T <- subset(data, trustFaces == "trust")
U <- subset(data, trustFaces == "untrust")
Trust <- T$trustworthyRate
Unt <- U$trustworthyRate
t.test(Trust, Unt, var.equal = TRUE, alternative = c("greater"))
sd(Trust)
sd(Unt)

T1 <- subset(data, trustFaces == "trust" & faceID == "1")
U1 <- subset(data, trustFaces == "untrust" & faceID == "1")
t.test(T1$trustworthyRate, U1$trustworthyRate, alternative = c("greater"))
sd(T1$trustworthyRate)
sd(U1$trustworthyRate)

T2 <- subset(data, trustFaces == "trust" & faceID == "2")
U2 <- subset(data, trustFaces == "untrust" & faceID == "2")
t.test(T2$trustworthyRate, U2$trustworthyRate, alternative = c("greater"))
sd(T2$trustworthyRate)
sd(U2$trustworthyRate)

T3 <- subset(data, trustFaces == "trust" & faceID == "3")
U3 <- subset(data, trustFaces == "untrust" & faceID == "3")
t.test(T3$trustworthyRate, U3$trustworthyRate, alternative = c("greater"))
sd(T3$trustworthyRate)
sd(U3$trustworthyRate)

T4 <- subset(data, trustFaces == "trust" & faceID == "4")
U4 <- subset(data, trustFaces == "untrust" & faceID == "4")
t.test(T4$trustworthyRate, U4$trustworthyRate, alternative = c("greater"))
sd(T4$trustworthyRate)
sd(U4$trustworthyRate)

T5 <- subset(data, trustFaces == "trust" & faceID == "5")
U5 <- subset(data, trustFaces == "untrust" & faceID == "5")
t.test(T5$trustworthyRate, U5$trustworthyRate, alternative = c("greater"))
sd(T5$trustworthyRate)
sd(U5$trustworthyRate)

T6 <- subset(data, trustFaces == "trust" & faceID == "6")
U6 <- subset(data, trustFaces == "untrust" & faceID == "6")
t.test(T6$trustworthyRate, U6$trustworthyRate, alternative = c("greater"))
sd(T6$trustworthyRate)
sd(U6$trustworthyRate)

#### T-TESTS ON FACE RATINGS ####
# BOXPLOTS OF TRUSTWORTHY RATINGS
ggplot(data = data, mapping = aes(x = faceID, y = trustworthyRate)) +
  geom_boxplot() +
  facet_wrap(~trustFaces) +
  ggtitle("Trustworthy ratings")